Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567472 - Satellite minor update steps do not make use of foreman-maintain
Summary: Satellite minor update steps do not make use of foreman-maintain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Upgrading and Updating Red Hat Satellite
Version: 6.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 01:17 UTC by Christian Marineau
Modified: 2021-06-10 15:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-13 18:28:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3412201 0 None None None 2018-04-16 21:51:52 UTC

Description Christian Marineau 2018-04-14 01:17:11 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/upgrading_and_updating_red_hat_satellite/#updating_satellite_server_to_next_minor_version


Section Number and Name: 
4.1. Updating Satellite Server


Describe the issue: 
It is mentioned to use the satellite-installer command after doing the yum update:
"# satellite-installer --scenario satellite --upgrade"

And foreman-maintain is not mentioned.


Suggestions for improvement: 
Confirm if satellite-installer or foreman-maintain should be use for update and which was is fully tested and supported.


Additional information: 
If it is intentional to use satellite-installer for now, are we looking forward to use foreman-maintain so we can leverage the sanity check to make the process easier and less prone to error.

Comment 2 sthirugn@redhat.com 2018-04-20 13:46:50 UTC
We show 6.2.z as an upgrade option even if we are in latest Satellite version which is great and will take care of aysnc errata upgrades too!  So I don't think we need any action from foreman-maintain at this point.  So just update the documentation to use foreman-maintain for *all* satellite upgrade processes. 


# rpm -q satellite
satellite-6.2.14-4.0.el7sat.noarch

# foreman-maintain upgrade list-versions
6.2.z
6.3

Comment 5 Stephen Wadeley 2018-04-26 19:58:20 UTC
Hello

Thank you for raising this bug.


Note You need to log in before you can comment on or make changes to this bug.